apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: fetch-minio-adhoc
    environment: develop
    system: data-jobtechdev-se
    team: calamari
  name: djs-fetch-minio-develop
  namespace: openshift-gitops
spec:
  destination:
    namespace: data-jobtechdev-se-develop
    server: https://kubernetes.default.svc
  project: calamari
  source:
    path: kustomize/overlays/develop
    repoURL: https://gitlab.com/arbetsformedlingen/www/data-jobtechdev-se/djs-fetch-minio-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
